Subject: Re: [PATCH] gitk: add "Hightlight commit name" menu entry

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Mar 2024 11:56:08 -0700

Marc Branchaud <[email-masked]> writes:

> (BTW, on this list we pronounce "the name of the commit" as "the
> commit subject (line)".)

Yup. "subject" probably comes from the fact that the title (the
first paragraph, folded into a single line) of the commit is used on
the "Subject:" header when formatted for e-mail submission, and also
's' in "git log --pretty='%s'" is described as "subject" in the
documentation.  Other words I've seen used are "commit title" and
"oneline description", but "subject" would be the most common, I
suspect.

"commit name" on the other hand brings a different concept, i.e.,
"the commit object name", more strongly to readers' minds, and can
be mistaken as what you'd get in "git log --pretty='%H'".